FarlieGumbelMorgensternCopulaRng< RNG > Class Template Reference

Farlie-Gumbel-Morgenstern copula random-number generator. More...

`#include <ql/experimental/math/farliegumbelmorgensterncopularng.hpp>`

## Public Types

typedef Sample< std::vector< Real > > | sample_type
typedef RNG | urng_type

## Public Member Functions

| FarlieGumbelMorgensternCopulaRng (const RNG &uniformGenerator, Real theta)
sample_type | next () const

## Detailed Description

### template<class RNG>
class QuantLib::FarlieGumbelMorgensternCopulaRng< RNG >

Farlie-Gumbel-Morgenstern copula random-number generator.